FROM alpine

RUN apk --no-cache add python3 inkscape bash imagemagick ttf-opensans
RUN apk --no-cache add py3-pip && pip3 install django tzdata gunicorn

ADD backend /root/zetikettes

RUN mkdir -p /usr/share/fonts/TTF \
    && cp /root/zetikettes/fonts/*.ttf /usr/share/fonts/TTF/ \
    && fc-cache -fv


# the script will look for templates in /data
WORKDIR /root/zetikettes/zetikettes
CMD /usr/bin/gunicorn zetikettes.wsgi -b 0.0.0.0:8000 --timeout 600
